//
//  ApplicationDelegate.m
//  AMCollectionViewTest
//
//  Created by Andreas on 30.11.07.
//  Copyright 2007 Andreas Mayer. All rights reserved.
//

#import "ApplicationDelegate.h"
#import "AMCollectionView.h"
#import "MyItem2.h"


@implementation ApplicationDelegate

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
	items1 = [[NSMutableArray alloc] init];
	[items1 addObjectsFromArray:[NSArray arrayWithObjects:@"first object", @"second object", @"third object", @"fourth object", nil]];
	[collectionView1 setContent:items1];
	[collectionView1 setAllowsMultipleSelection:YES];
	
	items2 = [[NSMutableArray alloc] init];
	[items2 addObjectsFromArray:[NSArray arrayWithObjects:[NSNumber numberWithFloat:1.0], [NSNumber numberWithFloat:2.0], [NSNumber numberWithFloat:3.0], [NSNumber numberWithFloat:4.0], nil]];
	[collectionView2 setContent:items2];
	[collectionView2 setAllowsMultipleSelection:YES];
	[collectionView2 setRowHeight:82.0];
	[collectionView2 setDrawsBackground:YES];
	[[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(selectionDidChange:) name:AMCollectionViewSelectionDidChangeNotification object:nil];
}

- (IBAction)addItem:(id)sender
{
	NSWindow *window = [sender window];
	if (window == window1) {
		NSString *newItem = [NSString stringWithFormat:@"%i", random()];
		[items1 addObject:newItem];
		[collectionView1 setContent:items1];
	} else {
		NSNumber *newItem = [NSNumber numberWithFloat:(random()%10000)];
		[items2 addObject:newItem];
		[collectionView2 setContent:items2];
	}
}

- (IBAction)removeItem:(id)sender
{
	NSWindow *window = [sender window];
	if (window == window1) {
		id selectedItems = [collectionView1 selectedObjects];
		[items1 removeObjectsInArray:selectedItems];
		[collectionView1 setContent:items1];
	} else {
		id selectedItems = [collectionView2 selectedObjects];
		[items2 removeObjectsInArray:selectedItems];
		[collectionView2 setContent:items2];
	}
}

- (IBAction)shuffleItems:(id)sender
{
	NSMutableArray *originalArray = [items1 mutableCopy];
	NSMutableArray *newArray = [NSMutableArray array];
	int index;
	while ([originalArray count] > 0) {
		index = (random() % [originalArray count]);
		[newArray addObject:[originalArray objectAtIndex:index]];
		[originalArray removeObjectAtIndex:index];
	}
	[items1 release];
	items1 = [newArray retain];
	[originalArray release];
	[collectionView1 setContent:items1];
}

- (void)selectionDidChange:(NSNotification *)aNotification
{
	NSLog(@"selection did change");
}


@end
