//
//  MyItem.m
//  AMCollectionViewTest
//
//  Created by Andreas on 05.12.07.
//  Copyright 2007 Andreas Mayer. All rights reserved.
//

#import "MyItem.h"


@implementation MyItem

- (void)setRepresentedObject:(id)object
{
//	NSLog(@"setRepresentedObject:%@", object);
//	NSLog(@"inputField : %@", inputField);
	[inputField unbind:@"value"];
	if (object) {
		[inputField bind:@"value" toObject:self withKeyPath:@"representedObject" options:nil];
	}
	[self willChangeValueForKey:@"representedObject"];
	[super setRepresentedObject:object];
	[self didChangeValueForKey:@"representedObject"];
}

- (void)toggle:(id)sender
{
	NSLog(@"toggle (%@)", self);
	if ([(NSButton *)sender state] == NSOnState) {
		[progressBar startAnimation:self];
	} else {
		[progressBar stopAnimation:self];
	}
}


//============================================================================
#pragma mark	NSCoding methods
//============================================================================

- (id)initWithCoder:(NSCoder *)coder
{
	self = [super initWithCoder:coder];
	inputField = [coder decodeObjectForKey:@"InputField"];
	textField = [coder decodeObjectForKey:@"TextField"];
	progressBar = [coder decodeObjectForKey:@"ProgressBar"];
	return self;
}

- (void)encodeWithCoder:(NSCoder *)coder
{
	[super encodeWithCoder:coder];
	[coder encodeConditionalObject:inputField forKey:@"InputField"];
	[coder encodeConditionalObject:textField forKey:@"TextField"];
	[coder encodeConditionalObject:progressBar forKey:@"ProgressBar"];
}


@end
